package com.hms.bean.cfg;

import com.hms.bean.EventListenerImpl;
import com.hms.bean.IEventListener;
import com.hms.bean.MockedEventListener;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Lazy;
import org.springframework.context.annotation.Profile;
import org.springframework.core.env.Environment;

import java.util.Arrays;


@Configuration
@Profile("production")
public class Config {


    @Bean
    @Lazy
    public IEventListener createAnEventListener() {
        return new EventListenerImpl();
    }


}
