package com.hms.bean.cfg;


import com.hms.bean.EventListenerImpl;
import com.hms.bean.IEventListener;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Profile;

@Configuration
@Profile("develop")
public class DevelopConfig {

    @Bean
    public IEventListener createAnEventListener() {
        return new EventListenerImpl();
    }
}
